local x,y

if playerConfig then
	x = playerConfig:get_data(pn_to_profile_slot(PLAYER_1)).GameplayXYCoordinates.ComboX
	y = playerConfig:get_data(pn_to_profile_slot(PLAYER_1)).GameplayXYCoordinates.ComboY
else
	x = 0
	y = 0
end

return Def.ActorFrame{
	Name="Combo";
	InitCommand=cmd(xy,x,y);

	Def.BitmapText {
		Name="Number";
		Font="Combo.ini";	
	};

	JudgmentMessageCommand=function(self, param)
		local Player
		if self:GetX() > SCREEN_CENTER_X then
			Player = PLAYER_2
			if param.Player == "PlayerNumber_P1" then return end
		else
			Player = PLAYER_1
			if param.Player == "PlayerNumber_P2" then return end
		end
		
		Combo = STATSMAN:GetCurStageStats():GetPlayerStageStats(Player):GetCurrentCombo()
		if Combo == 0 then
			self:visible(false)
		else
			self:visible(true)
		end
		
		self:zoom(0.25)
		self:GetChild("Number"):stoptweening()
		self:GetChild("Number"):settext(Combo)
		self:GetChild("Number"):zoom(1)
		self:GetChild("Number"):linear(0.05)
		self:GetChild("Number"):zoomy(1.4)
		self:GetChild("Number"):linear(0.05)
		self:GetChild("Number"):zoom(1)
	end
}